@font-face {
    font-family: Black_emerald;
    src: url(fonts/Black_Emerald.ttf);
}

@font-face {
    font-family: RawglyRegular;
    src: url(fonts/RawglyRegular-MVyWP.otf);
}

:root {
    --grey: rgba(0, 0, 0, 0.6);
    --red: #580E20;
    --main-color: #F1E7E0;
}

* {
    margin: 0;
    box-sizing: border-box;
    padding: 0;
}

body {
    background-color: #F1E7E0;
}

header {
    padding: 0 3vw;
}

main {}

/* NAVBAR */

nav {
    width: 100%;
    height: 10vh;
    position: sticky;
    top: 0;
    display: flex;
    align-items: center;
    /* Vertically center the content */
    justify-content: space-between;
    /* Distributes space between the elements */
    z-index: 3;
    /* Ensure it stays above other elements */
    font-family: Black_emerald, Arial, Helvetica, sans-serif;
    z-index: 3;
}

.login{
    padding: 5px 15px;
    background-color: white;
    color: var(--red) !important;
    font-weight: 500 !important;
    font-family: Helvetica, Arial, sans-serif !important;
    border-radius: 5px;
    cursor: pointer;
}

.login:hover{
    filter: contrast(.7);
}

#logo {
    height: 25px;
}

nav h1 {
    margin: 0;
    /* Removes default margin around h1 */
    font-size: 1.5rem;
    /* Adjust font size */
    color: #580E20;
}

#manubar {
    height: 23px;
    cursor: pointer;
}

header ul {
    width: 100%;
    height: 2px;
    background-color: #580E20;
    position: relative;
    top: 0;
    box-sizing: border-box;
}

/* Burger Menu Styles */
#menu {
    width: 100%;
    height: 0;
    background-color: #580E20;
    overflow: hidden;
    transition: height 0.3s ease-in-out;
    position: relative;
    box-sizing: border-box;
    padding: 0 13%;
}

#menu.expanded {
    height: 80vh;
}

#menu a {
    color: white;
    font-size: 1.6em;
    text-decoration: none;
    display: flex;
    align-items: center;
    margin: 10px 0;
    font-weight: 100;
    font-family: "Joan", serif;
}

#menu a img {
    margin-right: 1vw;
    width: 1.4rem;
    vertical-align: middle;
    /* Ensures image remains vertically aligned */
}

.hello_sec {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    width: 100%;
    height: 80px;
    align-content: center;
    flex-wrap: wrap;
    border-bottom: #F1E7E0 solid 1px;
}

.hello_sec h4 {
    color: white;
    font-weight: 500 !important;
    font-family: Helvetica, Arial, sans-serif !important;
    font-style: normal;
    font-size: larger;
    padding-top: 5px;
    padding-bottom: 5px;
}

.menu_sec {
    margin: 30px 0;
}

.menu_bot {
    width: 74%;
    margin-top: 55px;
    position: absolute;
    top: 60%;
}

.about-con {
    display: flex;
    width: 100%;
    color: white;
    border-bottom: #F1E7E0 solid 1px;
    ;
}

.about-con h4 {
    color: white;
    font-family: "Kalnia", serif;
    font-weight: 300;
    font-style: normal;
    font-size: medium;
}

#con {
    left: 60%;
    position: absolute;
}

.about-con_content {
    margin: 20px 0;
    display: flex;

}

.about_content {
    width: 50%;
    line-height: 100%;
    color: white;
    font-family: "Kalnia", serif;
    font-weight: 200;
    font-size: 0.7em;

}

.about_content h3 {
    text-align: end;
    margin-right: 30px;
    font-weight: 300;
    margin-top: 20px;
    cursor: pointer;
}

.con_content {
    left: 60%;
    position: absolute;
    line-height: 100%;
    color: white;

}

.con_content h3 {
    font-family: "Kalnia", serif;
    font-weight: 300;
    font-size: 0.9em;
    margin-bottom: 5px;
}

.social-ico img {
    width: 1rem;
    margin-right: 5px;
    position: relative;
}

/* ------------------------------------------------------------------------------------------ Top Sections --------------------------------------------------------------------------- */

.topsec {
    width: 100%;
    height: 70vh;
    position: relative;
    /* Ensures the div stays within the bounds of the section */
    margin-bottom: 15%;
    padding: 3vw;
    margin-top: 3vw;
}

.topsec div {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    position: relative;
    top: 100px;
}

.topsec div img {
    width: 90%;
    height: auto;
    position: relative;
    top: 0;
    transform: translate(0, -3vh);
    /* Adjusts the image position slightly upward */
}

@media (max-width: 768px) {
    .topsec div {
        top: 70px;
    }

    .topsec {
        height: 50vh;
    }
}

@media (max-width: 480px) {
    .topsec div {
        top: 50px;
    }

    .topsec {
        height: 40vh;
    }
}

#wheel {
    width: 10vw;
    position: relative;
    left: 78vw;
    bottom: 10%;
}

.autorot {
    animation: autorotanimation;
    animation-timeline: view();
}

@keyframes autorotanimation {
    from {
        transform: rotate(0deg);
    }

    to {
        transform: rotate(360deg);
    }
}

/* ------------------------------------------------------------------------------ Best Seller Section ------------------------------------------------- */

#best-seller {}

.heading {
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-bottom: 20px;
}

.heading img {
    bottom: 13px;
    position: relative;
    scale: 0.9;
}

.heading h2 {
    font-family: "Black_emerald", Arial, Helvetica, sans-serif;
    color: #580E20;
    text-align: center;
    font-size: 2.8rem;
}

.card-wrapper {
    display: flex;
    align-items: center;
}

.card-container {
    display: flex;
    overflow-x: hidden;
    scroll-behavior: smooth;
    width: 100%;
    padding: 20px 60px;
    gap: 40px;
}

.card {
    min-width: 380px;
    height: 630px;
    background: #ffffff;
    color: #000000;
    border-radius: 16px;
    padding: 10px;
    box-shadow: 5px 5px 16px 0px rgba(0, 0, 0, 0.25);
    cursor: pointer;
}

.card-img {
    width: 100%;
    height: 82%;
    object-fit: cover;
    border-radius: 8px;
    margin-bottom: 10px;
}

.info {
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.card h3 {
    font-family: Helvetica, Arial, sans-serif;
    font-size: 1.5rem;
    line-height: 90%;
}

.card p {
    font-size: 1rem;
    color: #4D4D4D;
    font-family: Arial, Helvetica, sans-serif;
    line-height: 60%;
}

.review-div {
    display: flex;
    flex-direction: row;
    gap: 5px;
    align-items: center;
}

.stars {
    width: 25%;
    height: 100%;
}

.price-div{
    display: flex;
    flex-direction: column;
    gap: 5px;
}

.card .item-price {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 1.2rem;
    font-weight: 600;
    line-height: 90%;
}

.card .item-msrp {
    font-family: Arial, Helvetica, sans-serif;
    font-size: 1rem;
    font-weight: 600;
    color: #4D4D4D;
    text-decoration: line-through red;
    line-height: 90%;
}

.card-wrapper #prev,
.card-wrapper #next {
    cursor: pointer;
    position: absolute;
    border: none;
    background-color: white;
}

.card-wrapper #prev img,
.card-wrapper #next img {
    padding: 10px;
    display: block;
}

#prev {
    left: 0;
    margin-left: 20px;
}

#next {
    right: 0;
    margin-right: 20px;
}

#next img {
    transform: rotate(180deg)
}

/* ---------------------------------------------------------------------- Scrolling Text Section ---------------------------------------------------------- */

.scrolling-text-section {
    overflow: hidden;
    width: 100%;
    height: 60px;
    display: flex;
    align-items: center;
}

.scrolling-text {
    display: flex;
    white-space: nowrap;
    animation: scroll 30s linear infinite;
    /* slower speed */
}

.scrolling-con {
    display: flex;
    align-items: center;
    white-space: nowrap;
}

.scrolling-text span {
    font-size: 2rem;
    font-weight: bold;
    color: #5d2837;
    font-family: Black_emerald, Arial, Helvetica, sans-serif;
    margin: 0 20px;
}

.scrolling-img {
    height: 40px;
    margin: 0 20px;
}

@keyframes scroll {
    0% {
        transform: translateX(0);
    }

    100% {
        transform: translateX(-50%);
    }
}

/* ---------------------------------------------------------------------------- Commercial Video section ---------------------------------------------------------------------- */

.videosec {
    width: 100%;
    display: flex;
    justify-content: center;
    padding: 20px 60px;
    height: 80vh;
    overflow: hidden;
}

.jw-comm-video {
    width: 100%;
    height: 100%;
    object-fit: cover;
    object-position: center;
    border-radius: 20px;
}

/* ---------------------------------------------------------------------------- Shop By Category section ---------------------------------------------------------------------- */

#shop-category .heading img {
    bottom: 8px;
    position: relative;
}

#shop-category {
    margin-top: 80px;
}

.category-tabs {
    display: flex;
    justify-content: center;
    gap: 30px;
    margin-bottom: 30px;
}

.category-tabs .cat-tab {
    border: none;
    background: transparent;
    color: #580E20;
    font-size: 1.5rem;
    cursor: pointer;
    transition: 0.3s;
    position: static;
}

.category-tabs .cat-tab.active {
    text-decoration: underline;
}

.category-tabs .cat-tab:hover {
    color: #000000;
}

.card-wrapper .cat-prev,
.card-wrapper .cat-next {
    cursor: pointer;
    position: absolute;
    border: none;
}

.card-wrapper .cat-prev img,
.card-wrapper .cat-next img {
    padding: 10px;
    display: block;
}

.cat-prev {
    left: 0;
    margin-left: 20px;
}

.cat-next {
    right: 0;
    margin-right: 20px;
}

.cat-next img {
    transform: rotate(180deg)
}

/* ---------------------------------------------------------------------------- Handmade With Care section ---------------------------------------------------------------------- */

#handmade-with-care {
    margin-top: 80px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    width: 100%;
}

#handmade-with-care .heading img {
    bottom: 10px;
    position: relative;
}

#handmade-with-care .main-div {
    width: 80%;
    display: flex;
    justify-content: space-between;
    align-items: start;
    gap: 100px;
    padding: 0 50px;
    margin-top: 50px;
}

#handmade-with-care .left-div {
    width: 40%;
}

#handmade-with-care .right-div {
    width: 40%;
    position: sticky;
    top: 200px;
    margin-top: 20px;
}

#handmade-with-care .right-div img {
    width: 100%;
}

.processes {
    padding: 20px 0;
    border-bottom: #580E20 solid 1px;
}

.processes div {
    text-transform: uppercase;
    font-family: Arial, Helvetica, sans-serif;
    background-color: #152945;
    display: inline-block;
    color: #ffffff;
    border-radius: 5px;
    padding: 5px 20px 3px 20px;
    margin: 10px 0;
}

.processes h2 {
    font-family: "RawglyRegular", Arial, Helvetica, sans-serif;
    font-size: 3rem;
    color: #580E20;
    font-weight: normal;

}

.processes p {
    font-size: 1.3rem;
    font-family: Arial, Helvetica, sans-serif;
    line-height: 95%;
}

/* ----------------------------------------------------------------------------------- Instagramm ------------------------------------------------------------------------------- */

#instagram {
    margin-top: 100px;
}

#instagram .heading img {
    bottom: 10px;
    position: relative;
}

#instagram .images {
    display: grid;
    grid-template-columns: repeat(6, 1fr);
    gap: 5px;
    margin-top: 50px;
}

#instagram .images div {
    position: relative;
}

#instagram .images div .main_img {
    width: 100%;
    display: block;
    cursor: pointer;
    transition: 500ms;
}

#instagram .images div .main_img:hover {
    filter: brightness(0.5);
    transition: 500ms;

}

#instagram .images div .ig_logo {
    width: 30px;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    display: none;
    z-index: 5;
}

#instagram .images div:hover .ig_logo {
    display: block;
}


/* ------------------------------------------------------------------------------ Join Our Newsletter ------------------------------------------------------------------------------- */

#join-our-newsletter {
    margin: 100px 60px;
}

#join-our-newsletter h2 {
    font-size: 5rem;
    color: #580E20;
    font-family: "Black_emerald", Arial, Helvetica, sans-serif;
}

#join-our-newsletter P {
    color: #152945;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 1.3rem;
}

#join-our-newsletter div {
    margin-top: 20px;
    width: 40%;
    display: flex;

}

#join-our-newsletter input {
    width: 80%;
    height: 60px;
    border: #580E20 solid 2px;
    padding: 10px;
    font-size: 1.5rem;
}

#join-our-newsletter button {
    background-color: #580E20;
    border: none;
    color: #F1E7E0;
    width: 20%;
    font-family: Arial, Helvetica, sans-serif;
    font-size: 1.2rem;
}

/* ------------------------------------------------------------------------------------- Footer ------------------------------------------------------------------------------- */

footer {
    background-color: #580E20;
    color: #F1E7E0;
    padding: 2rem 3vw;
    font-family: Arial, sans-serif;
}

.footer-container {
    display: flex;
    justify-content: space-between;
    align-items: flex-start;
    padding: 2rem 0;
}

.footer-left {
    flex: 1;
}

.footer-right {
    flex: 1;
    text-align: right;
    margin-top: 1rem;

}

.brand-name {
    font-size: 3rem;
    font-family: 'Black_emerald', sans-serif;
    margin-bottom: 2rem;
}

.contact-info {
    display: flex;
    flex-direction: column;
    gap: 1rem;
}

.contact-info div {
    display: flex;
    align-items: center;
    gap: 0.5rem;
}

.contact-info img {
    width: 20px;
}

.social-icons {
    display: flex;
    justify-content: flex-end;
    gap: 1rem;
    margin-bottom: 2rem;
}

.social-icons li {
    list-style: none;
}

.social-icons li a img {
    width: 24px;
}

.footer-links {
    list-style: none;
    padding: 0;
    display: flex;
    flex-direction: column;
    align-items: flex-end;
    gap: 0.5rem;
}

.footer-links li a {
    color: #F1E7E0;
    text-decoration: none;
}

.footer-links li a:hover {
    text-decoration: underline;
}

.footer-bottom {
    text-align: center;
    margin-top: 2rem;
    font-size: 0.8rem;
    border-top: 1px solid #F1E7E0;
    padding-top: 1rem;
}


/* Tab View */

@media (max-width: 1280px) {

    #menu.expanded {
        /* height: 50vh; */
    }

    .scndsec {
        padding: 100px 0 0 0;
        /* Adjust padding for tablet */
    }

    #midgrid {
        flex-wrap: wrap;
        justify-content: space-between;
        /* Space them evenly in tablet view */

    }

    #handmade-with-care .main-div {
        width: 90%;
        padding: 0;
        gap: 50px;
    }

    #handmade-with-care .left-div {
        width: 55%;
    }


    .processes h2 {
        font-size: 2.5rem;
    }

}

/* Mobile View */

@media (max-width: 768px) {

    nav {
        height: 8vh;
    }

    #menu {
        flex-direction: column;
        /* padding: 50px 0; */
    }

    #menu a {
        font-size: 1.25rem;
        padding: 6px;
    }

    #menu.expanded {
        /* height: 50vh ; */
    }

    .about_content h3 {
        text-align: start;
        margin-top: 20px;
    }

    .card-container {
        padding: 20px 20px;
        gap: 30px;
    }

    .card {
        min-width: 300px;
        height: 430px;
        background: #ffffff;
        color: #000000;
        border-radius: 16px;
        padding: 10px;
        box-shadow: 5px 5px 16px 0px rgba(0, 0, 0, 0.25);
        cursor: pointer;
    }

    .card h3 {
        font-family: Helvetica, Arial, sans-serif;
        font-size: 1.3rem;
        line-height: 90%;
    }

    .price-div {
        display: flex;
        flex-direction: row;
        gap: 10px;
        align-items: center;
    }

    .videosec {
        width: 100%;
        display: flex;
        justify-content: center;
        padding: 20px 20px;
        height: 70vh;
        overflow: hidden;
    }

    #wheel {
        width: 15vw;
        z-index: 1;
    }

    #join-our-newsletter h2 {
        font-size: 3rem;
    }

    #join-our-newsletter P {
        color: #152945;
        font-family: Arial, Helvetica, sans-serif;
        font-size: 1rem;
    }

    #join-our-newsletter div {
        margin-top: 20px;
        width: 70%;
        display: flex;
    }

    #join-our-newsletter {
        margin: 80px 40px;
    }

    .footer-right {
        margin-top: 1.7rem;
    }

    #instagram .images {
        grid-template-columns: repeat(4, 1fr);
    }

}

@media (max-width: 480px) {

    .topsec div img {
        width: 100% !important;
    }

    #wheel {
        width: 20vw;
        left: 70vw;
        bottom: 5vh;
    }

    #menu {
        flex-direction: column;
        /* padding: 50px 0; */
    }

    #menu a {
        font-size: 1.25rem;
        padding: 6px;
    }

    #menu.expanded {
        /* height: 70vh ; */
    }

    .heading h2 {
        font-size: 2rem;
    }

    #con {
        left: 50%;
    }

    .con_content {
        left: 50%;
    }

    .about_content {
        width: 50%;
        padding-right: 10px;
    }

    .heading {
        display: flex;
        flex-direction: column;
        align-items: center;
        margin-bottom: 0px;
        width: 100%;
    }

    .heading img {
        bottom: 13px;
        position: relative;
        scale: 0.65;
    }

    .card-container {
        padding: 20px 10px;
        gap: 10px;
    }

    .card {
        min-width: 180px;
        height: 320px;
        border-radius: 10px;
        padding: 8px;
    }

    .card-img {
        width: 100%;
        height: 70%;
        object-fit: cover;
        border-radius: 5px;
        margin-bottom: 5px;
    }

    .card h3 {
        font-size: 1.1rem;
        line-height: 90%;
    }

    .card p {
        font-size: 0.8rem;
        color: #4D4D4D;
        font-family: Arial, Helvetica, sans-serif;
        line-height: 60%;
    }

    .stars {
        width: 29%;
        height: 100%;
    }

    .price-div {
        display: flex;
        flex-direction: row;
        gap: 2px;
        align-items: start;
        margin-top: 5px;
    }

    .review-div {
        margin-top: 5px;
    }

    .card .item-price {
        font-size: 1rem;
    }

    .info {
        display: flex;
        flex-direction: column;
        gap: 5px;
    }

    .scrolling-text-section {
        height: auto;
    }

    .scrolling-text span {
        font-size: 1.5rem;
        font-weight: bold;
        color: #5d2837;
        font-family: Black_emerald, Arial, Helvetica, sans-serif;
        margin: 0 10px;
    }

    .scrolling-img {
        height: 30px;
        margin: 0 10px;
    }

    .videosec {
        padding: 20px 10px;
        height: 60vh;
    }

    .jw-comm-video {
        border-radius: 15px;
    }

    #shop-category {
        margin-top: 40px;
    }

    .category-tabs {
        display: flex;
        justify-content: center;
        gap: 20px;
        margin-bottom: 30px;
    }

    .category-tabs .cat-tab {
        border: none;
        background: transparent;
        color: #580E20;
        font-size: 1.4rem;
        cursor: pointer;
        transition: 0.3s;
        position: static;
    }

    #handmade-with-care .main-div {
        width: 100%;
        display: flex;
        justify-content: space-between;
        align-items: start;
        gap: 10px;
        padding: 0 20px;
        margin-top: 20px;
        flex-direction: column-reverse;
    }

    #handmade-with-care .right-div {
        width: 100%;
        position: relative;
        top: 0;
        margin-top: 0;
    }

    #handmade-with-care .left-div {
        width: 100%;
    }

    .processes h2 {
        font-size: 2rem;
    }

    #instagram {
        margin-top: 50px;
    }

    #instagram .images {
        grid-template-columns: repeat(3, 1fr);
    }

    #join-our-newsletter {
        margin: 40px 20px;
    }

    #join-our-newsletter h2 {
        font-size: 2.3rem;
    }

    #join-our-newsletter div {
        margin-top: 20px;
        width: 100%;
        display: flex;
    }

    #join-our-newsletter P {
        margin-top: 10px;
    }

    .footer-container {
        display: flex;
        justify-content: space-between;
        align-items: flex-start;
        padding: 2rem 0;
        flex-direction: column;
        gap: 2rem;
    }

    .brand-name {
        font-size: 3.3rem;
    }

    .footer-right {
        flex: 1;
        text-align: left;
        margin-top: 0;
        flex-direction: column-reverse;
        display: flex;
        gap: 20px;
    }

    .social-icons {
        display: flex;
        justify-content: flex-start;
        gap: 1rem;
        margin-bottom: 0;
    }

    .footer-links {
        list-style: none;
        padding: 0;
        display: flex;
        flex-direction: column;
        align-items: flex-start;
        gap: 0.5rem;
    }

    .footer-bottom {
        margin-top: 0;
    }

    footer {
        padding: 2rem 20px;
    }
}